Bug 20020 - Multiple Vulnerabilities: CVE-2009-1578, CVE-2009-1579, CVE-2009-1580, CVE-2009-1581
: Multiple Vulnerabilities: CVE-2009-1578, CVE-2009-1579, CVE-2009-1580, CVE-20...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/squirrelmail)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://secunia.com/advisories/35073/
: security
:
: 20130
  Show dependency tree
 
Reported: 2009-05-12 21:51 by
Modified: 2009-05-21 16:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-12 21:51:39
Несколько уязвимостей было обнаружено в SqurrelMail, которые могут быть
использованы для проведения XSS, фишинг атак, выполнения произвольного кода.

* CVE-2009-1578 - недостаточная проверка данных, передаваемых в переменных
окружения PHP_SELF, QUERY_STRING в functions/global.php, а также входных данных
в форме contrib/decrypt_headers.php, позволяет внедрять html/script код в
страницу
* CVE-2009-1579 - возможность выполнения произвольного кода, в случае если
SqureelMail настроен на использование функциональности "map_yp_alias"
* CVE-2009-1580 - возможность получения контроля над сессией злоумышленником,
если существует возможность изменять cookie в браузере клиента (например, через
XSS-атаку)
* CVE-2009-1581 - XSS и фишинг атаки через специально сформированное
HTML-письмо с использованием CSS позиционирования.

Upstream выпустил исправление в новой версии 1.4.18
------- Comment #1 From 2009-05-13 09:25:24 -------
Если текущий майнтэйнер занят, могу заняться через некоторое время.
------- Comment #2 From 2009-05-14 19:37:34 -------
fixed in sisyphus
------- Comment #3 From 2009-05-17 00:21:34 -------
closed